<?xml version="1.0" encoding="UTF-8"?>
<!-- @AutoRun -->

<OBJECTS name="" xmlns:oneit="http://www.1iT.com.au">
    <NODE name="Script" factory="Vector">

        <NODE name="DDL" factory="Participant" class="oneit.sql.transfer.RedefineTableOperation">
            <tableName factory="String">tl_assessment_template</tableName>
            <column name="job_title" type="String" nullable="true" length="30"/>
            <column name="job_description" type="CLOB" nullable="true"/>
            <column name="ref_number" type="String" nullable="true" length="10"/>
            <column name="google_address_text" type="String" nullable="true" length="300"/>
            <column name="location_radius" type="String" nullable="true" length="200"/>
            <column name="remote" type="Boolean" nullable="true"/>
            <column name="job_type" type="String" nullable="true" length="200"/>
            <column name="industry" type="String" nullable="true" length="200"/>
            <column name="require_cv" type="Boolean" nullable="true"/>
            <column name="assessment_type" type="String" nullable="true" length="200"/>
            <column name="include_assessment_criteria" type="Boolean" nullable="true"/>
            <column name="level_id" type="Long" length="11" nullable="true"/>
            <column name="occupation_id" type="Long" length="11" nullable="true"/>
            <column name="job_owner_id" type="Long" length="11" nullable="true"/>
            <column name="job_id" type="Long" length="11" nullable="true"/>
            <column name="client_id" type="Long" length="11" nullable="true"/>
            <column name="hiring_team_id" type="Long" length="11" nullable="true"/>
            <column name="company_user_id" type="Long" length="11" nullable="true"/>
        </NODE>
        
        <NODE name="INDEX" factory="Participant" class="oneit.sql.transfer.DefineIndexOperation" tableName="tl_assessment_template" indexName="idx_tl_assessment_template_TemplateID" isUnique="true">
            <column name="template_name"/>
            <column name="hiring_team_id"/>
            <column name="company_user_id"/>
        </NODE>

    </NODE>
</OBJECTS>